<!doctype html>
<!--[if IE 7]><html class="no-js ie7" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if IE 8]><html class="no-js ie8 lt-ie8" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if IE 9]><html class="no-js ie9 lt-ie9" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if gt IE 9]><!-->
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="format-detection" content="telephone=no">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta name="format-detection" content="telephone=no">
<meta name="description" content="<?php echo $description;?>">
<meta name="keywords" content="<?php echo $keywords;?>">
<meta name="author" content="<?php echo AUTHOR;?>">
<title><?php echo $page_title;?></title>    
    
<link rel="icon" href="/assets/favicons/favicon/favicon.ico">
    
<?php if(!empty(APPLE_TOUCH_180) && APPLE_TOUCH_180 == true){?>
<link rel="apple-touch-icon" href="/assets/favicons/apple-touch-icon.png" sizes="180x180">
<?php } ?>
<?php if(!empty(FAVICON_32) && FAVICON_32 == true ){?>
<link rel="icon" href="/assets/favicons/favicon-32x32.png" sizes="32x32" type="image/png">
<?php } ?>
<?php if(!empty(FAVICON_16) && FAVICON_16 == true){?>
<link rel="icon" href="/assets/favicons/favicon-16x16.png" sizes="16x16" type="image/png">
<?php } ?>
<?php if(!empty(MANIFEST) && MANIFEST == true){?>
<link rel="manifest" href="/assets/favicons/manifest.json">
<?php } ?>
<?php if(!empty(MASK_ICON) && MASK_ICON == true){?>
<link rel="mask-icon" href="/assets/favicons/safari-pinned-tab.svg" color="<?php echo MASK_ICON_COLOR;?>">
<meta name="theme-color" content="<?php echo MASK_ICON_COLOR;?>">
<?php } ?>
<?php echo canonical($canonical);?>	
<?php if(!empty(TWITTER) && TWITTER == true){?>
<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:site" content="<?php echo TWITTER_SITE;?>">
<meta name="twitter:creator" content="<?php echo TWITTER_SITE;?>">
<meta name="twitter:title" content="<?php echo $page_title;?>">
<meta name="twitter:description" content="<?php echo $description;?>">
<meta name="twitter:image" content="<?php echo $dmain.TWITTER_IMAGE_PATH;?>">
<?php } ?>
<?php if(!empty(FACEBOOK) && FACEBOOK == true){?>
<?php if(!empty(FACEBOOK_ADMINS)){?><meta property="fb:admins" content="<?php echo FACEBOOK_ADMINS;?>" /><?php };?>
<?php if(!empty(FACEBOOK_APP_ID)){?><meta property="fb:app_id" content="<?php echo FACEBOOK_APP_ID;?>" /><?php };?>
<meta property="og:locale" content="<?php echo FACEBOOK_LANG;?>">
<meta property="og:url" content="<?php echo $url;?>">
<meta property="og:title" content="<?php echo $page_title;?>">
<meta property="og:description" content="<?php echo $description;?>">
<meta property="og:type" content="<?php echo FACEBOOK_OG_TYPE;?>">
<meta property="og:image" content="<?php echo $dmain.TWITTER_IMAGE_PATH;?>">
<meta property="og:image:type" content="image/png">
<meta property="og:image:width" content="<?php echo FACEBOOK_OG_IMAGE_WIDTH;?>">
<meta property="og:image:height" content="<?php echo FACEBOOK_OG_TYPE_HIGHT;?>">
<?php } ?>    
<link href="https://fonts.googleapis.com/css?family=Noto+Sans+JP:400,500&amp;subset=japanese" rel="stylesheet"> 
<link href="https://fonts.googleapis.com/css?family=Roboto:500,400" rel="stylesheet"> 
<link href="/assets/fonts/fontawesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
<link href="/assets/lib/bootstrap/css/bootstrap-reboot.min.css" rel="stylesheet" type="text/css">
<link href="/assets/lib/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css">
<link href="/assets/css/root.css?<?php echo web_ver();?>" rel="stylesheet" type="text/css">
<link href="/assets/css/common.css?<?php echo web_ver();?>" rel="stylesheet" type="text/css">
<link href="/assets/css/calender.css?<?php echo web_ver();?>" rel="stylesheet" type="text/css">
    
<link rel="stylesheet" href="/assets/js/drawer/css/drawer.min.css" media="screen and (max-width: 998px)">
<link href="/assets/js/fancybox/jquery.fancybox.min.css" rel="stylesheet" type="text/css">
<!--[if lt IE 9]>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/ie/html5shiv.min.js"></script>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/ie/respond.min.js"></script>
<![endif]-->
<?php if(!empty($noindex) && $noindex == true){echo '<meta name="robots" content="noindex" />';}?>
<?php require_once(dirname(__FILE__) .'/cv/cv.php');?>	
