<?php
require_once( '../assets/include/siteconfig.php' );

//ぺージ独自設定
//==============================================
$page_title = "";
$description = "";
$keywords = "";
$h1_tag = "";

//$canonicalが空の場合は、自動的に対象ぺージのURLが返る
$canonical = "";

//robots nonindex
$noindex = false;

require_once( '../assets/include/head.php' );
?>
<style>
    #sidebar {
        display: none;
    }
</style>
</head>
<body class="drawer drawer--top">
    <?php require('../assets/include/header.php');?>

    <main role="main" id="contact" class="page">

        

        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="title_block">
                        <h2><span>お問い合わせ</span></h2>
                    </div>
                </div>
            </div>
        </div>

        <div id="contact_fv" class="mb-10">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6 hidden-lg-up mb-5">
                        <img src="<?php echo get_template_directory_uri(); ?>/assets/images/contact/contact_fv.jpg" width="540" height="288" alt="" class="img-fluid w-100"/>
                    </div>
                    <div class="col-lg-6">
                        <h2>プレストーク会議室へのお問い合わせ<br>誠にありがとうございます。</h2>
                        <p>弊社への「お見積り依頼」「お問い合わせ」をご希望の際は、下記「メールフォーム<br> 」 項目を入力の上、「確認画面へ」ボタンを押し、送信してください。 <br> お問い合わせいただきましたら、当社よりご連絡させていただきます。 <br> ※土日・祝祭日はご返答が出来ませんので予めご了承ください。 <br> ※営業時間外のお問い合わせにつきましては翌営業日の対応となります。
                        </p>
                        <div class="call">
                            <p>お電話でのお問い合わせはこちらから</p>
                            <p class="dial"><i class="fa fa-phone"></i> 052-232-2358</p>
                        </div>
                    </div>
                    <div class="col-lg-6 hidden-md-down">
                        <img src="<?php echo get_template_directory_uri(); ?>/assets/images/contact/contact_fv.jpg" width="540" height="288" alt="" class="img-fluid"/>
                    </div>
                </div>
            </div>
        </div>
        <div class="container mb-5">
            <div class="row">
                <div class="col-12">
                    <div class="title_block">
                        <h2><span>お問い合わせフォーム</span></h2>
                        <p>下記フォームに必要事項をご記入の上ご送信ください。</p>
                    </div>
                </div>
                <div class="col-lg-8 offset-lg-2">
                    <div id="form_flow">
                        <ol>
                            <li class="step1 active"><span>入力</span>
                            </li>
                            <li class="step2"><span>確認</span>
                            </li>
                            <li class="step3"><span>送信完了</span>
                            </li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
        <div id="ssl">
            <div class="container mb-5">
                <div class="row">
                    <div class="col-12">
                        <p><span><i class="fa fa-lock"></i> お送り頂く情報はSSL(セキュア・ソケット・レイヤー）暗号化技術により保護されております。</span>
                        </p>
                    </div>
                </div>
            </div>
        </div>

        <div class="container">
            <form action="./conf.php" method="post" id="form" data-toggle="validator" role="form">

                <div class="row mb-5">
                    <div class="col-lg-10 offset-lg-1 formarea">
                        <div class="form-group has-error">
                            <dl>
                                <dt>
                                    <label for="comment">お問い合わせ内容<span class="required">必須</span></label>
                                </dt>
                            

                                <dd>
                                    <textarea name="お問い合わせ内容" id="comment" data-error="お問い合わせ内容は入力必須項目です" required></textarea>

                                </dd>
                            </dl>
                            <div class="help-box">
                                <div class="help-block with-errors"></div>
                            </div>
                        </div>

                        <div class="form-group has-error">
                            <dl>
                                <dt>
                                    <label for="company_name">会社名<span class="required">必須</span></label>
                                </dt>
                            

                                <dd>
                                    <input type="text" name="会社名" id="company_name" data-error="会社名は入力必須項目です" required/>
                                </dd>
                            </dl>
                            <div class="help-box">
                                <div class="help-block with-errors">(例：株式会社プレストーク)</div>
                            </div>
                        </div>

                        <div class="form-group">
                            <dl>
                                <dt>
                                    <label for="company_kana">会社名フリガナ</label>
                                </dt>
                            

                                <dd>
                                    <input type="text" name="会社名" id="company_kana"/>
                                </dd>
                            </dl>
                            <div class="help-box">
                                <div class="help-block with-errors">(例：カブシキガイシャプレストーク)</div>
                            </div>
                        </div>

                        <div class="form-group">
                            <dl>
                                <dt>
                                    <label for="department">部署名</label>
                                </dt>
                            

                                <dd>
                                    <input type="text" name="部署名" id="department"/>
                                </dd>
                            </dl>
                            <div class="help-box">
                                <div class="help-block with-errors">(例：総務部)</div>
                            </div>
                        </div>

                        <div class="form-group has-error">
                            <dl>
                                <dt>
                                    <label for="username">お名前<span class="required">必須</span></label>
                                </dt>
                            

                                <dd>
                                    <input type="text" name="お名前" id="username" data-error="お名前は入力必須項目です" required/>
                                </dd>
                            </dl>
                            <div class="help-box">
                                <div class="help-block with-errors">(例：鈴木　太郎)</div>
                            </div>
                        </div>

                        <div class="form-group">
                            <dl>
                                <dt>
                                    <label for="userkana">フリガナ</label>
                                </dt>
                            

                                <dd>
                                    <input type="text" name="フリガナ" id="userkana"/>
                                </dd>
                            </dl>
                            <div class="help-box">
                                <div class="help-block with-errors">(例：スズキ　タロウ)</div>
                            </div>
                        </div>

                        <div class="form-group has-error">
                            <dl>
                                <dt>
                                    <label for="zipcord">郵便番号<span class="required">必須</span></label>
                                </dt>
                            

                                <dd>
                                    <input type="tel" name="郵便番号" id="zipcord" data-error="郵便番号は入力必須項目です" required onKeyUp="AjaxZip3.zip2addr(this,'','住所','住所');"/>
                                </dd>
                            </dl>
                            <div class="help-box">
                                <div class="help-block with-errors">(例：4600008)</div>
                            </div>
                        </div>

                        <div class="form-group has-error">
                            <dl>
                                <dt>
                                    <label for="address">住所<span class="required">必須</span></label>
                                </dt>
                            

                                <dd>
                                    <input type="text" name="住所" id="address" data-error="住所は入力必須項目です" required/>
                                </dd>
                            </dl>
                            <div class="help-box">
                                <div class="help-block with-errors">(例：愛知県名古屋市中区栄2丁目2-17 )</div>
                            </div>
                        </div>

                        <div class="form-group">
                            <dl>
                                <dt>
                                    <label for="building">建物名</label>
                                </dt>
                            

                                <dd>
                                    <input type="text" name="建物名" id="building"/>
                                </dd>
                            </dl>
                            <div class="help-box">
                                <div class="help-block with-errors">(例：名古屋情報センタービル1F)</div>
                            </div>
                        </div>

                        <div class="form-group has-error">
                            <dl>
                                <dt>
                                    <label for="tel">電話番号<span class="required">必須</span></label>
                                </dt>
                            

                                <dd>
                                    <input type="tel" name="電話番号" id="tel" data-error="電話番号は入力必須項目です" required/>
                                </dd>
                            </dl>
                            <div class="help-box">
                                <div class="help-block with-errors">(例：0522322358) ハイフン「-」無し</div>
                            </div>
                        </div>

                        <div class="form-group">
                            <dl>
                                <dt>
                                    <label for="fax">FAX番号</label>
                                </dt>
                            

                                <dd>
                                    <input type="tel" name="FAX番号" id="fax"/>
                                </dd>
                            </dl>
                            <div class="help-box">
                                <div class="help-block with-errors">(例：0522322357) ハイフン「-」無し</div>
                            </div>
                        </div>

                        <div class="form-group has-error">
                            <dl>
                                <dt>
                                    <label for="email">メールアドレス<span class="required">必須</span></label>
                                </dt>
                            

                                <dd>
                                    <input type="email" name="メールアドレス" id="email" data-error="メールアドレスは入力必須項目です" required/>
                                </dd>
                            </dl>
                            <div class="help-box">
                                <div class="help-block with-errors">(例：example@presstalk-conference.com)</div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row mb-5">
                    <div class="col-lg-10 offset-lg-1">
                        <div id="policy">
                            <h3>■ご注意事項</h3>
                            <ul class="mb-4">
                                <li>・飲食の持ち込みは可能ですが、お部屋を汚された場合等、別途クリーニング代金を請求させていただく場合があります。</li>
                                <li>・ゴミは必ず回収し、お帰りになる際にお持ち帰りください。</li>
                                <li>・ご利用期間中に、建物、会場、付帯設備、備品等を破損、汚損または紛失された場合には、実費弁済を申し受けます。</li>
                                <li>・音楽関連の催事、大きな音が伴う催事につきましてはご利用できません。</li>
                            </ul>

                            <h3>■責任区分</h3>
                            <ul class="mb-4">
                                <li>・会場内での盗難、紛失等につきましては弊社では一切責任を負いません。</li>
                                <li>・催事による事故、入場者とのトラブル、作品の破損等について弊社では一切責任を負いません。</li>
                                <li>・施設、備品等を紛失、破損、汚損の場合には、実費を弁償いただきます。</li>
                                <li>・弊社施設、備品の不備による損害の保障は、お支払いいただいたご利用料金を上限とします。</li>
                                <li>・万一、天災や事故等によりやむを得ず臨時に弊社会議室の営業が停止もしくは、利用開始時間の遅延となった場合の損害に関して、弊社はその賠償等の責任を負いません。</li>
                            </ul>

                            <h3>■次の場合は申込みをお断りいたします。</h3>

                            <ul class="mb-4">

                                <li>申込みを受理した場合でも以下に該当する場合、取消、または中止させていただきます。</li>
                                <li>なお、申込み取消または中止による損害に対して、弊社では一切責任を負いません。</li>
                                <li>・貸会議室の運営主旨および公序良俗に反する恐れがあるとき</li>
                                <li>・申込内容に虚偽や利用規定に反したとき</li>
                                <li>・貸室の使用権を他に譲渡したり転貸したとき</li>
                                <li>・その他第三者の事由により使用が困難になったとき</li>
                            </ul>
                        </div>
                        <div id="policy_check">
                            <p>上記を必ずお読みいただき、同意いただける場合は各項目をご記入の上、<br>「入力内容を確認する」ボタンを押してください。</p>

                            <div class="form-group agree_block">
                                <input type="checkbox" name="" id="agree" data-error="ご注意事項に同意頂けない場合、メールの送信はできません" required/>
                                <label for="agree">ご注意事項に同意する</label>
                                <div class="help-block with-errors"></div>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="row mb-10">
                    <div class="col-12" id="form_btn_group">
                        <div class="form-group">
                            <ul>
                                <li><button type="submit" id="submit">送信</button>
                                </li>
                                <li><button type="submit" id="">戻る</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </main>
    <?php require('../assets/include/footer.php');?>
    <?php require('../assets/include/js.php');?>
    <?php require('../assets/include/form_js.php');?>
</body>
</html>