<?php
get_header();

//ぺージ独自設定
//==============================================
$page_title = "名古屋市伏見の格安貸し会議室 | プレストーク会議室";
$description = "名古屋市伏見の格安貸し会議室、セミナールームなら備品貸出無料、1時間1000円からの「プレストーク会議室」。会議、セミナー、ワークショップなど、様々なイベントを、もっと自由に格安でご利用いただけます。飲食、レイアウトも自由です。";
$keywords = "名古屋市伏見,格安,貸し会議室,レンタルスペース";
$h1_tag = "名古屋市伏見の格安貸し会議室、セミナールームなら備品貸出無料、1時間1000円からの「プレストーク会議室」。";

//$canonicalが空の場合は、自動的に対象ぺージのURLが返る
$canonical = "";

//robots nonindex
$noindex = false;

?>
<!doctype html>
<!--[if IE 7]><html class="no-js ie7" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if IE 8]><html class="no-js ie8 lt-ie8" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if IE 9]><html class="no-js ie9 lt-ie9" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if gt IE 9]><!-->
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="format-detection" content="telephone=no">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="format-detection" content="telephone=no">
    <meta name="description" content="<?php echo $description;?>">
    <meta name="keywords" content="<?php echo $keywords;?>">
    <meta name="author" content="<?php echo AUTHOR;?>">
    <title>
        <?php echo $page_title;?>
    </title>
    <link rel="icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/favicon/favicon.ico">
    <?php if(!empty(APPLE_TOUCH_180) && APPLE_TOUCH_180 == true){?>
    <link rel="apple-touch-icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/apple-touch-icon.png" sizes="180x180">
    <?php } ?>
    <?php if(!empty(FAVICON_32) && FAVICON_32 == true ){?>
    <link rel="icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/favicon-32x32.png" sizes="32x32" type="image/png">
    <?php } ?>
    <?php if(!empty(FAVICON_16) && FAVICON_16 == true){?>
    <link rel="icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/favicon-16x16.png" sizes="16x16" type="image/png">
    <?php } ?>
    <?php if(!empty(MANIFEST) && MANIFEST == true){?>
    <link rel="manifest" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/manifest.json">
    <?php } ?>
    <?php if(!empty(MASK_ICON) && MASK_ICON == true){?>
    <link rel="mask-icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/safari-pinned-tab.svg" color="<?php echo MASK_ICON_COLOR;?>">
    <meta name="theme-color" content="<?php echo MASK_ICON_COLOR;?>">
    <?php } ?>
    <?php echo canonical($canonical);?>
    <?php if(!empty(TWITTER) && TWITTER == true){?>
    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:site" content="<?php echo TWITTER_SITE;?>">
    <meta name="twitter:creator" content="<?php echo TWITTER_SITE;?>">
    <meta name="twitter:title" content="<?php echo $page_title;?>">
    <meta name="twitter:description" content="<?php echo $description;?>">
    <meta name="twitter:image" content="<?php echo $dmain.TWITTER_IMAGE_PATH;?>">
    <?php } ?>
    <?php if(!empty(FACEBOOK) && FACEBOOK == true){?>
    <?php if(!empty(FACEBOOK_ADMINS)){?>
    <meta property="fb:admins" content="<?php echo FACEBOOK_ADMINS;?>"/>
    <?php };?>
    <?php if(!empty(FACEBOOK_APP_ID)){?>
    <meta property="fb:app_id" content="<?php echo FACEBOOK_APP_ID;?>"/>
    <?php };?>
    <meta property="og:locale" content="<?php echo FACEBOOK_LANG;?>">
    <meta property="og:url" content="<?php echo $url;?>">
    <meta property="og:title" content="<?php echo $page_title;?>">
    <meta property="og:description" content="<?php echo $description;?>">
    <meta property="og:type" content="<?php echo FACEBOOK_OG_TYPE;?>">
    <meta property="og:image" content="<?php echo $dmain.TWITTER_IMAGE_PATH;?>">
    <meta property="og:image:type" content="image/png">
    <meta property="og:image:width" content="<?php echo FACEBOOK_OG_IMAGE_WIDTH;?>">
    <meta property="og:image:height" content="<?php echo FACEBOOK_OG_TYPE_HIGHT;?>">
    <?php } ?>
    <link href="https://fonts.googleapis.com/css?family=Noto+Sans+JP:400,500&amp;subset=japanese" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Roboto:500,400" rel="stylesheet">
    <link href="<?php echo get_template_directory_uri(); ?>/assets/fonts/fontawesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="<?php echo get_template_directory_uri(); ?>/assets/lib/bootstrap/css/bootstrap-reboot.min.css" rel="stylesheet" type="text/css">
    <link href="<?php echo get_template_directory_uri(); ?>/assets/lib/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css">
    <link href="<?php echo get_template_directory_uri(); ?>/assets/css/root.css?<?php echo web_ver();?>" rel="stylesheet" type="text/css">
    <link href="<?php echo get_template_directory_uri(); ?>/assets/css/common.css?<?php echo web_ver();?>" rel="stylesheet" type="text/css">
    <link href="<?php echo get_template_directory_uri(); ?>/assets/css/calender.css?<?php echo web_ver();?>" rel="stylesheet" type="text/css">

    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/assets/js/drawer/css/drawer.min.css" media="screen and (max-width: 998px)">
    <link href="<?php echo get_template_directory_uri(); ?>/assets/js/fancybox/jquery.fancybox.min.css" rel="stylesheet" type="text/css">
    <!--[if lt IE 9]>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/ie/html5shiv.min.js"></script>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/ie/respond.min.js"></script>
<![endif]-->
    <?php if(!empty($noindex) && $noindex == true){echo '<meta name="robots" content="noindex" />';}?>
    <style type="text/css">
        #fv {
            box-sizing: border-box;
            background: url("<?php echo get_template_directory_uri(); ?>/assets/images/home/fv_bg.jpg") no-repeat;
            -webkit-background-size: cover;
            background-size: cover;
            padding-top: 30px;
        }
    </style>
</head>

<body class="drawer drawer--top">
    <header id="header">
        <div id="page_header">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <h1>名古屋市伏見の格安貸し会議室、セミナールームなら<span>備品貸出無料、1時間1000円からの「プレストーク会議室」</span></h1>
                    </div>
                </div>
            </div>
        </div>
        <div id="header_body">
            <div class="logo">
                <ul>
                    <li>
                        <a href="/"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/logo1.png" width="200" height="44" alt="" class="img-fluid"/></a>
                    </li>
                    <li>
                        <a href="/"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/logo2.png" width="160" height="27" alt="" class="img-fluid"/></a>
                    </li>
                </ul>
            </div><button type="button" class="drawer-toggle drawer-hamburger"><span class="sr-only">toggle navigation</span><span class="drawer-hamburger-icon"></span></button>
            <ul id="sm_header_icon_link">
                <li><a href="/calender/" class="calender_link"><i class="fa fa-calendar"></i><span>空室確認</span></a>
                </li>
                <li><a href="/contact/" class="contact_link"><i class="fa fa-envelope-o"></i><span>お問い合わせ</span></a>
                </li>
            </ul>
            <div id="gnav">
                <?php wp_nav_menu( array('menu' => 'main_navi' ) ); ?>
            </div>
            <div class="drawer-nav" role="navigation">
                <div class="drawer-menu">
                    <div class="drawer_header"><a href="/"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/logo_all.png" width="382" height="48" alt=""/></a>
                    </div>
                    <div class="drawer_body">
                        <?php wp_nav_menu( array('menu' => 'main_navi' ) ); ?>
                    </div>
                    <div class="drawer_footer">
                        <nav>
                            <ul>
                                <li><a href="/calender/" class="calender_link"><i class="fa fa-calendar"></i> ご予約確認</a>
                                </li>
                                <li><a href="/contact/" class="contact_link"><i class="fa fa-envelope-o"></i> お問い合わせ</a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                    <div class="drawer_cloce"><a href="" class="close"><i class="fa fa-times"></i> Close</a>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <main role="main">
        <div id="fv">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <a href="#spec"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/fv.png" width="1106" height="738" alt="会議、セミナー開催をもっと自由に格安で！1時間1,000円から！伏見駅徒歩3分" class="img-fluid none-opacity"/></a>
                    </div>
                </div>
            </div>
        </div>

        <section id="point" class="anchor">
            <div class="conts">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div class="title_block">
                                <h2><span>プレストーク会議室のココがPOINT!</span></h2>
                                <p>会議、セミナー、ワークショップ開催を、もっと自由に、格安で！</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="point first">
                    <div class="container">
                        <div class="row">
                            <div class="col-lg-6">
                                <h3>
                                    <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point1_ttl.png" width="541" height="96" alt="格安料金設定" class="img-fluid hidden-md-down"/>
                                    <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point1_ttl_sm.png" width="877" height="96" alt="格安料金設定" class="img-fluid hidden-lg-up"/>
                                </h3>
                            

                                <p>1時間、1,000円<span>(税込)</span>からの<br>格安料金設定！</p>
                                <a href="#spec" class="linkbtn red arrow hidden-md-down">ご利用料金詳細はこちら</a>
                            </div>
                            <div class="col-lg-6">
                                <table class="hidden-xs-down">
                                    <thead>
                                        <tr>
                                            <th colspan="4">近隣会議室料金比較</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <th>会議室</td>
                                                <td class="check">プレストーク<br>会議室A<br>30名定員</td>
                                                <td>A社会議室<br>30名定員</td>
                                                <td>B社会議室<br>30名定員</td>
                                        </tr>
                                        <tr>
                                            <th>利用料（１時間）</th>
                                            <td class="check">1,000円～</td>
                                            <td>3,780円～</td>
                                            <td>6,000円～</td>
                                        </tr>
                                        <tr>
                                            <th>備品利用料<br>プロジェクター、マイク、<br>WiFi、ホワイトボードなど</th>
                                            <td class="check">全て無料</td>
                                            <td>全て無料</td>
                                            <td>別途必要</td>
                                        </tr>
                                    </tbody>
                                </table>
                                <table class="hidden-sm-up">
                                    <thead>
                                        <tr>
                                            <th colspan="2">近隣会議室料金比較</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <th rowspan="3">会議室</th>
                                            <td class="check">プレストーク会議室30名定員</td>
                                        </tr>
                                        <tr>
                                            <td>A社会議室30名定員</td>
                                        </tr>
                                        <tr>
                                            <td>B社会議室30名定員</td>
                                        </tr>

                                        <tr>
                                            <th rowspan="3">利用料（１時間）</th>
                                            <td class="check">1,000円～</td>
                                        </tr>
                                        <tr>
                                            <td>3,780円～</td>
                                        </tr>
                                        <tr>
                                            <td>6,000円～</td>
                                        </tr>
                                        <tr>
                                            <th rowspan="3">備品利用料<br>プロジェクター、マイク、<br>WiFi、<br> ホワイトボードなど
                                            </th>
                                            <td class="check">全て無料</td>
                                        </tr>
                                        <tr>
                                            <td>全て無料</td>
                                        </tr>
                                        <tr>
                                            <td>別途必要</td>
                                        </tr>

                                    </tbody>
                                </table>
                                <p class="text-right">※2019年1月、株式会社プレス・トーク調べ</p>
                            </div>
                            <div class="col-12 hidden-md-up">
                                <a href="#spec" class="linkbtn red arrow w-100">ご利用料金詳細はこちら</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="point bg">
                    <div class="container">
                        <div class="row">
                            <div class="col-lg-6">
                                <h3>
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point2_ttl.png" width="541" height="96" alt="備品無料" class="img-fluid hidden-md-down"/>
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point2_ttl_sm.png" width="877" height="96" alt="備品無料" class="img-fluid hidden-lg-up"/>
                          </h3>
                            



                                <p>備品（プロジェクター、マイク、<br>ホワイトボード等）も無料でご利用<br>いただけます！</p>
                                <a href="#spec" class="linkbtn red arrow hidden-md-down">ご利用料金詳細はこちら</a>
                            </div>
                            <div class="col-lg-6">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point2_img.png" width="540" height="310" alt="" class="img-fluid w-100"/>
                            </div>
                            <div class="col-12 hidden-md-up mt-5">
                                <a href="#spec" class="linkbtn red arrow w-100">ご利用料金詳細はこちら</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="point">
                    <div class="container">
                        <div class="row">
                            <div class="col-lg-6">
                                <h3>
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point3_ttl.png" width="541" height="96" alt="伏見駅近！" class="img-flumd-id hidden-md-down"/>
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point3_ttl_sm.png" width="877" height="96" alt="伏見駅近!" class="img-fluid hidden-lg-up"/>
                          </h3>
                            




                                <p>名古屋市地下鉄東山線４番出口から<br>徒歩346m、3分でアクセスの<br>好立地！</p>
                                <a href="#access" class="linkbtn red arrow hidden-md-down">アクセスMAPはこちら</a>
                            </div>
                            <div class="col-lg-6">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point3_img.png" width="541" height="337" alt="" class="img-fluid w-100"/>
                            </div>
                            <div class="col-12 hidden-md-up mt-5">
                                <a href="#access" class="linkbtn red arrow w-100">アクセスMAPはこちら</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="point bg">
                    <div class="container">
                        <div class="row">
                            <div class="col-12">
                                <h3>
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point4_ttl.png" width="1111" height="96" alt="様々な用途でご利用可能！" class="img-fluid hidden-md-down"/>
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point4_ttl_sm.png" width="877" height="96" alt="様々な用途でご利用可能！" class="img-fluid hidden-lg-up"/>
                            </h3>
                            




                                <p>会議、セミナー、ワークショップなど、目的に合わせて様々な用途で<br>ご利用いただけます！</p>
                            </div>
                            <div class="col-6 mb-4">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point4_img1.png" width="540" height="268" alt="" class="img-fluid"/>
                                <div class="comments">セミナー</div>
                            </div>
                            <div class="col-6 mb-4">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point4_img2.png" width="540" height="268" alt="" class="img-fluid"/>
                                <div class="comments">研修・勉強会</div>
                            </div>
                            <div class="col-6 mb-4">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point4_img3.png" width="540" height="268" alt="" class="img-fluid"/>
                                <div class="comments">ワークショップ</div>
                            </div>
                            <div class="col-6 mb-4">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/point4_img4.png" width="540" height="268" alt="" class="img-fluid"/>
                                <div class="comments">講演会</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section id="spec" class="anchor">
            <div class="conts">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div class="title_block">
                                <h2><span>会議室　ご利用料金/設備</span></h2>
                                <p>WiFi、備品のご利用は無料！レイアウトは自由自在！室内での飲食もOK！</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="container" id="spec_body">
                    <div class="row">
                        <div class="col-lg-6 mb-5">
                            <h3 class="mb-4">2階　会議室A　定員30名</h3>
                            <a data-fancybox="etc" data-caption="2階　会議室A　定員30名" data-type="inline" href="#hidden-Room-A">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/room_a.jpg" width="540" height="301" alt="" class="img-fluid w-100 mb-4"/>
                            </a>
                        

                            <div style="display: none;" id="hidden-Room-A" class="lightbox">
                                <iframe src="https://www.google.com/maps/embed?pb=!4v1548427660379!6m8!1m7!1sCAoSLEFGMVFpcE5jbGtqSTVDcFpEbEJsQWN2NEdzS25hQnEzX205dW80cWpacWxs!2m2!1d35.16755360605246!2d136.899643264218!3f0!4f0!5f0.7820865974627469" width="100%" height="450" frameborder="0" style="border:0" allowfullscreen></iframe>
                            </div>

                            <div class="card">
                                <table class="mb-1">
                                    <tbody>
                                        <tr>
                                            <th rowspan="4">ご利用料金</th>
                                            <td>時間</td>
                                            <td>月～金</td>
                                            <td>土</td>
                                        </tr>
                                        <tr>
                                            <td>9：00～18：00</td>
                                            <td>1,000円/時</td>
                                            <td>3,000円/時</td>
                                        </tr>
                                        <tr>
                                            <td>18：00～21：00</td>
                                            <td>2,000円/時</td>
                                            <td>-</td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">※表示価格は税込み価格となっております。</td>
                                        </tr>
                                        <tr>
                                            <th>収容可能人数</th>
                                            <td colspan="3">最大30名</td>
                                        </tr>
                                        <tr>
                                            <th rowspan="3">備品・設備</th>
                                            <td colspan="3">机3人掛け：10台、椅子：30脚、<br>ホワイトボード：1台、</td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">プロジェクター：1台、スクリーン：1台、<br>ワイヤレスマイク：2本</td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">スピーカー：1台、WiFi完備</td>
                                        </tr>
                                        <tr>
                                            <th>備考</th>
                                            <td colspan="3">飲食OK、レイアウト自由の変更可</td>
                                        </tr>
                                    </tbody>
                                </table>
                                <p>※会議室ご利用の際のゴミにつきましては、必ず各自お持ち帰りをお願いいたします。</p>
                                <a href="<?php echo esc_url( home_url( '/' ) ); ?>calendar/#typeA" class="linkbtn red arrow w-100">空き状況確認/ご予約はこちら</a>
                            </div>
                        </div>
                        <div class="col-lg-6 mb-5">
                            <h3 class="mb-4">8階　会議室B　定員36名</h3>
                            <a data-fancybox="etc" data-caption="8階　会議室B　定員36名" data-type="inline" href="#hidden-Room-B">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/room_b.jpg" width="540" height="301" alt="" class="img-fluid w-100 mb-4"/>
                            </a>
                        

                            <div style="display: none;" id="hidden-Room-B" class="lightbox">
                                <iframe src="https://www.google.com/maps/embed?pb=!4v1548427678070!6m8!1m7!1sCAoSLEFGMVFpcE85TG9OTk9NdDVwTVZMVzhnR2RzLWdCbVp0VC1TUFU4cWdZRFFL!2m2!1d35.16755360605246!2d136.899643264218!3f355.5!4f0!5f0.7820865974627469" width="100%" height="450" frameborder="0" style="border:0" allowfullscreen></iframe>
                            </div>
                            <div class="card">
                                <table class="mb-1">
                                    <tbody>
                                        <tr>
                                            <th rowspan="4">ご利用料金</th>
                                            <td>時間</td>
                                            <td>月～金</td>
                                            <td>土</td>
                                        </tr>
                                        <tr>
                                            <td>9：00～18：00</td>
                                            <td>1,500円/時</td>
                                            <td>3,500円/時</td>
                                        </tr>
                                        <tr>
                                            <td>18：00～21：00</td>
                                            <td>2,500円/時</td>
                                            <td>-</td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">※表示価格は税込み価格となっております。</td>
                                        </tr>
                                        <tr>
                                            <th>収容可能人数</th>
                                            <td colspan="3">最大36名</td>
                                        </tr>
                                        <tr>
                                            <th rowspan="3">備品・設備</th>
                                            <td colspan="3">机3人掛け：12台、椅子：30脚、<br>ホワイトボード：1台、</td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">プロジェクター：1台、スクリーン：1台、<br>ワイヤレスマイク：2本</td>
                                        </tr>
                                        <tr>
                                            <td colspan="3">スピーカー：1台、WiFi完備</td>
                                        </tr>
                                        <tr>
                                            <th>備考</th>
                                            <td colspan="3">飲食OK、レイアウト自由の変更可</td>
                                        </tr>
                                    </tbody>
                                </table>
                                <p>※会議室ご利用の際のゴミにつきましては、必ず各自お持ち帰りをお願いいたします。</p>
                                <a href="<?php echo esc_url( home_url( '/' ) ); ?>calendar/#typeB" class="linkbtn red arrow w-100">空き状況確認/ご予約はこちら</a>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="card info">
                                <h4>■注意事項：</h4>
                                <ul>
                                    <li>・他のビルテナント様・利用者様の迷惑となる大きな音を出す行為等はご遠慮願います。</li>
                                    <li>・廊下や化粧室等、共有スペースでの談笑や乱暴なご使用は他の入居者様のご迷惑になりますのでお控え下さい。</li>
                                    <li>・ご利用後は会場の原状復帰をお願いします</li>
                                    <li>・飲食の持ち込みは可能ですが、お部屋を汚された場合等、別途クリーニング代金を請求させていただく場合があります。</li>
                                    <li>・ゴミは必ず回収し、お帰りになる際にお持ち帰りください。</li>
                                    <li>・ご使用期間中に、建物、会場、付帯設備、備品等を破損、汚損または紛失した場合には実費弁済を申し受けます。</li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section id="flow" class="pb-10 anchor">
            <div class="conts ">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div class="title_block">
                                <h2><span>ご利用の流れ</span></h2>
                                <p>初めてご利用の方は、こちらをご確認ください。</p>
                            </div>
                        </div>
                    </div>
                    <div class="row mb-5">
                        <div class="col-12">
                            <nav id="step_nav" class="hidden-xs-down">
                                <ul>
                                    <li><a href="#step1"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/step1.png" width="97" height="94" alt="" class="img-fluid"/></a>
                                    </li>
                                    <li><a href="#step2"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/step2.png" width="78" height="95" alt="" class="img-fluid"/></a>
                                    </li>
                                    <li><a href="#step3"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/step3.png" width="78" height="95" alt="" class="img-fluid"/></a>
                                    </li>
                                    <li><a href="#step4"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/step4.png" width="79" height="53" alt="" class="img-fluid"/></a>
                                    </li>
                                    <li><a href="#step5"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/step5.png" width="79" height="53" alt="" class="img-fluid"/></a>
                                    </li>
                                </ul>
                            </nav>
                            <nav id="step_nav_xs" class="hidden-sm-up">
                                <ul>
                                    <li><a href="#step1"><i class="fa fa-check"></i> <span>STEP1</span>空き状況の確認</a>
                                    </li>
                                    <li><a href="#step2"><i class="fa fa-calendar-check-o"></i> <span>STEP2</span>ご予約</a>
                                    </li>
                                </ul>
                                <ul>
                                    <li><a href="#step3"><i class="fa fa-jpy"></i> <span>STEP3</span>お支払い</a>
                                    </li>
                                    <li><a href="#step4"><i class="fa fa-calendar"></i> <span>STEP4</span>ご利用日</a>
                                    </li>
                                </ul>
                                <ul>
                                    <li><a href="#step5"><i class="fa fa-ban"></i> <span>STEP5</span>キャンセルについて</a>
                                    </li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6" id="step1">
                            <h3><span>STEP1</span>会議室　空き状況確認</h3>
                            <div class="card card1">
                                <p>「空室確認/ご予約」ページよりご利用人数や、用途に合ったお部屋の空き状況をご確認ください。</p>
                                <ul>
                                    <li><a href="<?php echo esc_url( home_url( '/' ) ); ?>calendar/#typeA">会議室A：2階、収容人数30名</a></li>
                                    <li><a href="<?php echo esc_url( home_url( '/' ) ); ?>calendar/#typeB">会議室B：8階、収容人数36名</a></li>
                                </ul>
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/step1_img.jpg" width="520" height="485" alt="" class="img-fluid"/>
                                <p>〇：空きに余裕がある　　△：空き残りわずか　　×：空き無し</p>
                            </div>
                        </div>
                        <div class="col-md-6" id="step2">
                            <h3><span>STEP2</span>ご予約</h3>
                            <div class="card card1">
                                <p>「空室確認/ご予約」ページで、ご希望の日付をご確認いただき、「〇」「△」であれば、そこをクリックしていただき、必要事項をご入力の上、フォーム下にある「予約確認」ボタンをクリックしてください。</p>
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/step2_img.jpg" width="540" height="556" alt="" class="img-fluid"/>
                            </div>
                        </div>

                        <div class="col-12">
                            <div class="spacer d-block pb-md-5"></div>
                        </div>

                        <div class="col-md-6" id="step3">
                            <h3><span>STEP3</span>お支払い（銀行振込のみ）</h3>
                            <div class="card card2">
                                <p>ご予約が完了されましたら、お申込み後3日以内に、下記振込先にお振込み手続きをお願いいたします。ご入金が確認出来ましたら、ご予約完了となります。</p>
                                <div class="gray d-block p-3">
                                    <p>振込先<br>りそな銀行　名古屋支店（店番：710）<br>普通口座：2694739<br>振込先名：株式会社プレストーク</p>
                                </div>
                                <p>※ご注意</p>
                                <ul>
                                    <li>料金は前払い制になっております。</li>
                                    <li>振込手数料は、お客様のご負担となりますことご了承ください。</li>
                                    <li>振込名義はご予約いただいた際の会社名、または団体名、個人名でお願いいたします。</li>
                                    <li>個人でのお申込みのお客様は、ご予約の際のお名前にてお願いいたします。</li>
                                    <li>期日までにご入金が無い場合は、予約確定にはなりません。</li>
                                    <li>・ご利用日はお申込みから3日以内の場合は、お申込み当日、または翌日までにご入金をお願いいたします。</li>
                                    <li>・原則として、領収書は発行しておりません。お振込み後発行される「銀行明細書」をご活用ください。</li>
                                </ul>
                            </div>
                        </div>
                        <div class="col-md-6" id="step4">
                            <h3><span>STEP4</span>ご利用日当日</h3>
                            <div class="card card2">
                                <p>株式会社プレス・トーク1階カウンターにてご予約名と会議室利用の旨を受付スタッフにお伝えいただき、弊社スタッフの案内に従って会議室へお入りください。※名古屋情報センタービルの管理室は会議室の受付ではありませんのでご注意ください。</p>
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/step4_img.jpg" width="504" height="252" alt="" class="img-fluid mb-3"/>
                                <p>会議室のご利用が終了されましたら、同様に、1階受付にてその旨をお伝えください。尚、ご利用の際に机のレイアウトを変えていただくことは自由ですが、お帰りの際には、必ず、元あった位置に戻していただき、ご利用の際に発生したゴミなどは、各自でお持ち帰りいただくよう何卒よろしくお願いいたします。</p>
                            </div>
                        </div>

                        <div class="col-12">
                            <div class="spacer d-block pb-md-5"></div>
                        </div>

                        <div class="col-12" id="step5">
                            <h3>ご予約キャンセルについて</h3>
                            <div class="card">
                                <p>キャンセル料は以下の通り頂戴いたします。</p>
                                <ul class="inline_block">
                                    <li>14日前~8日前　50%</li>
                                    <li>7日前~4日前　70%</li>
                                    <li>3日前~当日　100%</li>
                                </ul>
                                <ul>
                                    <li>・返金させていただく場合の振込手数料は、お客様のご負担となります。</li>
                                    <li>・また、ご入金の際にかかったお振込手数料はご返金いたしかねますので予めご了承ください。</li>
                                    <li>・14日前からのご予約日変更も、上記の規定通りキャンセル料が発生いたしますので、ご注意ください。</li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section id="access" class="anchor">
            <div id="access_bg" class="conts">
                <div class="container">
                    <div class="row">
                        <div class="col-12">
                            <div class="title_block">
                                <h2><span>会社情報/アクセスMAP</span></h2>
                            </div>
                        </div>
                        <div class="col-xl-4 col-md-5 left">
                            <div class="photo">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/logo1.png" width="200" height="44" alt="" class="img-fluid"/>
                            </div>
                            <div class="photo">
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/company_photo.png" width="349" height="235" alt="" class="img-fluid hidden-md-down"/>
                                <img src="<?php echo get_template_directory_uri(); ?>/assets/images/home/company_photo_sm.png" width="100%" alt="" class="img-fluid hidden-lg-up"/>
                            </div>
                            <address>
                                <dl>
                                    <dt>会社名：</dt>
                                    <dd>株式会社プレス・トーク</dd>
                                </dl>
                                <dl>
                                    <dt>サービス名：</dt>
                                    <dd>プレストーク会議室</dd>
                                </dl>
                                <dl>
                                    <dt>住所：</dt>
                                    <dd>
                                        <ul>
                                            <li>〒460-0008</li>
                                            <li>愛知県名古屋市中区栄2丁目2-17 </li>
                                            <li>名古屋情報センタービル1F</li>
                                        </ul>
                                    </dd>
                                </dl>
                                <dl>
                                    <dt>営業時間：</dt>
                                    <dd>
                                        <ul>
                                            <li>平日 　9：00～21：00</li>
                                            <li>土曜日　 9：00～18：00</li>
                                            <li>日曜日・祝日は休業</li>
                                            <li>※平日、会議室のご利用は21：00まで</li>
                                        </ul>
                                    </dd>
                                </dl>
                                <dl>
                                    <dt>TEL/FAX：</dt>
                                    <dd>TEL.052-232-2358 　FAX.052-232-2357<span>※お電話でのご予約は承っておりません。</span>
                                    </dd>
                                </dl>
                            </address>
                        </div>
                        <div class="col-xl-7 offset-xl-1 col-md-7 right">
                            <div id="access_map">
                                <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3261.5613178485646!2d136.89750341524473!3d35.1675597803173!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x6003772bbcf67bfb%3A0x96ebd33eb15a2104!2z44CSNDYwLTAwMDgg5oSb55-l55yM5ZCN5Y-k5bGL5biC5Lit5Yy65qCE77yS5LiB55uu77yS4oiS77yR77yXIOWQjeWPpOWxi-aDheWgseOCu-ODs-OCv-ODvOODk-ODqzFG!5e0!3m2!1sja!2sjp!4v1548326549067" width="100%" height="384" frameborder="0" style="border:0" allowfullscreen></iframe>
                            </div>

                            <div id="other_links">
                                <h3>LINK</h3>
                                <nav>
                                    <ul class="d-flex">
                                        <li><a href="/"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/press-tolk.png" width="146" height="34" alt=""class="img-fluid"/></a>
                                        </li>
                                        <li><a href="https://www.presstalk.co.jp/" rel="nofollow" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/press-talk_direct.png" width="209" height="34" alt="" class="img-fluid"/></a>
                                        </li>
                                        <li><a href="https://www.facebook.com/PRESS-TALK%E3%83%97%E3%83%AC%E3%82%B9%E3%83%88%E3%83%BC%E3%82%AF-226696904044017/" rel="nofollow" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/facebook.png" width="134" height="34" alt="" class="img-fluid"/></a>
                                        </li>
                                    </ul>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>

    <?php get_sidebar(); ?>
    <script src="https://code.jquery.com/jquery-2.2.4.min.js" integrity="sha256-BbhdlvQf/xTY9gja0Dq3HiwQF8LaCRTXxZKRutelT44=" crossorigin="anonymous"></script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/popper/popper.min.js"></script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/bootstrap/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/css-vars-ponyfill/css-vars-ponyfill.min.js"></script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/css-vars-ponyfill/function.js"></script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/iscroll/iscroll.min.js"></script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/drawer/js/drawer.min.js"></script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/drawer/js/drawer.function.js"></script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/function.js"></script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/fancybox/jquery.fancybox.min.js"></script>
    <script>
        $( '[data-fancybox]' ).fancybox();
    </script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/matchHeight/jquery.matchHeight.js"></script>
    <script type="text/javascript">
        $( function () {
            $( '.card1' ).matchHeight();
            $( '.card2' ).matchHeight();
            $( '.card3' ).matchHeight();
        } );
    </script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/form/jquery.autoKana/jquery.autoKana.js"></script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/form/jquery.autoKana/jquery.autoKana.function.js"></script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/form/ajaxzip3/ajaxzip3.js"></script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/form/validator/validator.min.js"></script>
    <footer id="footer">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-3">
                    <a href="/">
                    <img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/logo_white.png" width="303" height="73" alt="株式会社プレストーク　プレストーク会議室" class="img-fluid logo"/>
                </a>
                

                </div>
                <div class="col-lg-8 col-md-9">
                    <div class="inner">
                        <?php wp_nav_menu( array('menu' => 'main_navi' ) ); ?>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <div id="copylight">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <small>Copyright(c) <?php echo date('Y');?> PRESS-TALK All Rights Reserved.</small>
                </div>
            </div>
        </div>
    </div>
    <aside id="sidebar_nav">
        <nav>
            <ul>
                <li class="yoyaku_btn">
                    <a href="/presstalk_conference/calendar/"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/sidebar/calender_btn.png" width="65" height="304" alt="会議室の予約" class="img-fluid"/></a>
                </li>
            </ul>
        </nav>
    </aside>

    <a href="#" id="return-top"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/sidebar/totop_btn.png" width="65" height="65" alt="" class="img-fluid"/></a>
</body>
</html>