<?php
/*
Template Name: カレンダー予約
*/
?>

<?php
get_header();

//ぺージ独自設定
//==============================================
$page_title = "名古屋市伏見の格安貸し会議室 | プレストーク会議室";
$description = "名古屋市伏見の格安貸し会議室、セミナールームなら備品貸出無料、1時間1000円からの「プレストーク会議室」。会議、セミナー、ワークショップなど、様々なイベントを、もっと自由に格安でご利用いただけます。飲食、レイアウトも自由です。";
$keywords = "名古屋市伏見,格安,貸し会議室,レンタルスペース";
$h1_tag = "名古屋市伏見の格安貸し会議室、セミナールームなら備品貸出無料、1時間1000円からの「プレストーク会議室」。";

//$canonicalが空の場合は、自動的に対象ぺージのURLが返る
$canonical = "";

//robots nonindex
$noindex = false;

?>
<!doctype html>
<!--[if IE 7]><html class="no-js ie7" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if IE 8]><html class="no-js ie8 lt-ie8" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if IE 9]><html class="no-js ie9 lt-ie9" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if gt IE 9]><!-->
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="format-detection" content="telephone=no">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta name="format-detection" content="telephone=no">
<meta name="description" content="<?php echo $description;?>">
<meta name="keywords" content="<?php echo $keywords;?>">
<meta name="author" content="<?php echo AUTHOR;?>">
<title><?php echo $page_title;?></title>    
    
<link rel="icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/favicon/favicon.ico">
    
<?php if(!empty(APPLE_TOUCH_180) && APPLE_TOUCH_180 == true){?>
<link rel="apple-touch-icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/apple-touch-icon.png" sizes="180x180">
<?php } ?>
<?php if(!empty(FAVICON_32) && FAVICON_32 == true ){?>
<link rel="icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/favicon-32x32.png" sizes="32x32" type="image/png">
<?php } ?>
<?php if(!empty(FAVICON_16) && FAVICON_16 == true){?>
<link rel="icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/favicon-16x16.png" sizes="16x16" type="image/png">
<?php } ?>
<?php if(!empty(MANIFEST) && MANIFEST == true){?>
<link rel="manifest" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/manifest.json">
<?php } ?>
<?php if(!empty(MASK_ICON) && MASK_ICON == true){?>
<link rel="mask-icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/safari-pinned-tab.svg" color="<?php echo MASK_ICON_COLOR;?>">
<meta name="theme-color" content="<?php echo MASK_ICON_COLOR;?>">
<?php } ?>
<?php echo canonical($canonical);?>	
<?php if(!empty(TWITTER) && TWITTER == true){?>
<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:site" content="<?php echo TWITTER_SITE;?>">
<meta name="twitter:creator" content="<?php echo TWITTER_SITE;?>">
<meta name="twitter:title" content="<?php echo $page_title;?>">
<meta name="twitter:description" content="<?php echo $description;?>">
<meta name="twitter:image" content="<?php echo $dmain.TWITTER_IMAGE_PATH;?>">
<?php } ?>
<?php if(!empty(FACEBOOK) && FACEBOOK == true){?>
<?php if(!empty(FACEBOOK_ADMINS)){?><meta property="fb:admins" content="<?php echo FACEBOOK_ADMINS;?>" /><?php };?>
<?php if(!empty(FACEBOOK_APP_ID)){?><meta property="fb:app_id" content="<?php echo FACEBOOK_APP_ID;?>" /><?php };?>
<meta property="og:locale" content="<?php echo FACEBOOK_LANG;?>">
<meta property="og:url" content="<?php echo $url;?>">
<meta property="og:title" content="<?php echo $page_title;?>">
<meta property="og:description" content="<?php echo $description;?>">
<meta property="og:type" content="<?php echo FACEBOOK_OG_TYPE;?>">
<meta property="og:image" content="<?php echo $dmain.TWITTER_IMAGE_PATH;?>">
<meta property="og:image:type" content="image/png">
<meta property="og:image:width" content="<?php echo FACEBOOK_OG_IMAGE_WIDTH;?>">
<meta property="og:image:height" content="<?php echo FACEBOOK_OG_TYPE_HIGHT;?>">
<?php } ?>    
<link href="https://fonts.googleapis.com/css?family=Noto+Sans+JP:400,500&amp;subset=japanese" rel="stylesheet"> 
<link href="https://fonts.googleapis.com/css?family=Roboto:500,400" rel="stylesheet"> 
<link href="<?php echo get_template_directory_uri(); ?>/assets/fonts/fontawesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
<link href="<?php echo get_template_directory_uri(); ?>/assets/lib/bootstrap/css/bootstrap-reboot.min.css" rel="stylesheet" type="text/css">
<link href="<?php echo get_template_directory_uri(); ?>/assets/lib/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css">
<link href="<?php echo get_template_directory_uri(); ?>/assets/css/root.css?<?php echo web_ver();?>" rel="stylesheet" type="text/css">
<link href="<?php echo get_template_directory_uri(); ?>/assets/css/common.css?<?php echo web_ver();?>" rel="stylesheet" type="text/css">
<link href="<?php echo get_template_directory_uri(); ?>/assets/css/calender.css?<?php echo web_ver();?>" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="<?php bloginfo ('stylesheet_url'); ?>" type="text/css" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/assets/js/drawer/css/drawer.min.css" media="screen and (max-width: 998px)">
<link href="<?php echo get_template_directory_uri(); ?>/assets/js/fancybox/jquery.fancybox.min.css" rel="stylesheet" type="text/css">
<!--[if lt IE 9]>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/ie/html5shiv.min.js"></script>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/ie/respond.min.js"></script>
<![endif]-->
<?php if(!empty($noindex) && $noindex == true){echo '<meta name="robots" content="noindex" />';}?>
<script>
</script>

</head>
<body class="drawer drawer--top">
<header id="header">
    <div id="page_header">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h1>名古屋市伏見の格安貸し会議室、セミナールームなら<span>備品貸出無料、1時間1000円からの「プレストーク会議室」</span></h1>
                </div>
            </div>
        </div>
    </div>
    <div id="header_body">
        <div class="logo">
            <ul>
                <li>
                    <a href="/"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/logo1.png" width="200" height="44" alt="" class="img-fluid"/></a>
                </li>
                <li>
                     <a href="/"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/logo2.png" width="160" height="27" alt="" class="img-fluid"/></a>
                </li>
            </ul>
        </div><button type="button" class="drawer-toggle drawer-hamburger"><span class="sr-only">toggle navigation</span><span class="drawer-hamburger-icon"></span></button>
        <ul id="sm_header_icon_link">
            <li><a href="/calender/" class="calender_link"><i class="fa fa-calendar"></i><span>空室確認</span></a>
            </li>
            <li><a href="/contact/" class="contact_link"><i class="fa fa-envelope-o"></i><span>お問い合わせ</span></a>
            </li>
        </ul>
        <div id="gnav">
<?php wp_nav_menu( array('menu' => 'main_navi' ) ); ?>
        </div>
        <div class="drawer-nav" role="navigation">
            <div class="drawer-menu">
                <div class="drawer_header"><a href="/"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/logo_all.png" width="382" height="48" alt=""/></a>
                </div>
                <div class="drawer_body">
<?php wp_nav_menu( array('menu' => 'main_navi' ) ); ?>
                </div>
                <div class="drawer_footer">
                    <nav>
                        <ul>
                            <li><a href="/calender/" class="calender_link"><i class="fa fa-calendar"></i> ご予約確認</a>
                            </li>
                            <li><a href="/contact/" class="contact_link"><i class="fa fa-envelope-o"></i> お問い合わせ</a>
                            </li>
                        </ul>
                    </nav>
                </div>
                <div class="drawer_cloce"><a href="" class="close"><i class="fa fa-times"></i> Close</a>
                </div>
            </div>
        </div>
    </div>
</header>
<main role="main" id="contact" class="page">


	<?php if(have_posts()): while(have_posts()):the_post(); ?>  
	  <?php the_content(); ?>  
	<?php endwhile; endif; ?>


</main>

    <?php get_sidebar(); ?>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/jquery/3.3.1/jquery.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/popper/popper.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/css-vars-ponyfill/css-vars-ponyfill.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/css-vars-ponyfill/function.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/iscroll/iscroll.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/drawer/js/drawer.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/drawer/js/drawer.function.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/function.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/fancybox/jquery.fancybox.min.js"></script>
<script>
	$('[data-fancybox]').fancybox();
</script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/matchHeight/jquery.matchHeight.js"></script>
    <script type="text/javascript">
        $( function () {
            $( '.card1' ).matchHeight();
            $( '.card2' ).matchHeight();
            $( '.card3' ).matchHeight();
        } );
    </script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/form/jquery.autoKana/jquery.autoKana.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/form/jquery.autoKana/jquery.autoKana.function.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/form/ajaxzip3/ajaxzip3.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/form/validator/validator.min.js"></script>
<footer id="footer">
    <div class="container">
        <div class="row">
            <div class="col-lg-4 col-md-3">
                <a href="/">
                    <img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/logo_white.png" width="303" height="73" alt="株式会社プレストーク　プレストーク会議室" class="img-fluid logo"/>
                </a>            
            </div>
            <div class="col-lg-8 col-md-9">
                <div class="inner">
<?php wp_nav_menu( array('menu' => 'main_navi' ) ); ?>
                </div>
            </div>
        </div>
    </div>
</footer>
<div id="copylight">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <small>Copyright(c) <?php echo date('Y');?> PRESS-TALK All Rights Reserved.</small>
            </div>
        </div>
    </div>
</div>
<aside id="sidebar">
    <nav>
        <ul>
            <li class="yoyaku_btn"><a href="/calender/"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/sidebar/calender_btn.png" width="65" height="304" alt="会議室の予約" class="img-fluid"/></a></li>
            <?php /*?><li><a href="#"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/sidebar/totop_btn.png" width="65" height="65" alt="" class="img-fluid"/></a></li><?php */?>
        </ul>
    </nav>
</aside>

<a href="#" id="return-top"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/sidebar/totop_btn.png" width="65" height="65" alt="" class="img-fluid"/></a>
</body>
</html>