<?php
/*
Template Name: 問い合わせ
*/
?>

<?php
get_header();

//ぺージ独自設定
//==============================================
$page_title = "名古屋市伏見の格安貸し会議室 | プレストーク会議室";
$description = "名古屋市伏見の格安貸し会議室、セミナールームなら備品貸出無料、1時間1000円からの「プレストーク会議室」。会議、セミナー、ワークショップなど、様々なイベントを、もっと自由に格安でご利用いただけます。飲食、レイアウトも自由です。";
$keywords = "名古屋市伏見,格安,貸し会議室,レンタルスペース";
$h1_tag = "名古屋市伏見の格安貸し会議室、セミナールームなら備品貸出無料、1時間1000円からの「プレストーク会議室」。";

//$canonicalが空の場合は、自動的に対象ぺージのURLが返る
$canonical = "";

//robots nonindex
$noindex = false;

?>
<!doctype html>
<!--[if IE 7]><html class="no-js ie7" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if IE 8]><html class="no-js ie8 lt-ie8" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if IE 9]><html class="no-js ie9 lt-ie9" prefix="og: http://ogp.me/ns#"><![endif]-->
<!--[if gt IE 9]><!-->
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="format-detection" content="telephone=no">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta name="format-detection" content="telephone=no">
<meta name="description" content="<?php echo $description;?>">
<meta name="keywords" content="<?php echo $keywords;?>">
<meta name="author" content="<?php echo AUTHOR;?>">
<title><?php echo $page_title;?></title>    
    
<link rel="icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/favicon/favicon.ico">
    
<?php if(!empty(APPLE_TOUCH_180) && APPLE_TOUCH_180 == true){?>
<link rel="apple-touch-icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/apple-touch-icon.png" sizes="180x180">
<?php } ?>
<?php if(!empty(FAVICON_32) && FAVICON_32 == true ){?>
<link rel="icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/favicon-32x32.png" sizes="32x32" type="image/png">
<?php } ?>
<?php if(!empty(FAVICON_16) && FAVICON_16 == true){?>
<link rel="icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/favicon-16x16.png" sizes="16x16" type="image/png">
<?php } ?>
<?php if(!empty(MANIFEST) && MANIFEST == true){?>
<link rel="manifest" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/manifest.json">
<?php } ?>
<?php if(!empty(MASK_ICON) && MASK_ICON == true){?>
<link rel="mask-icon" href="<?php echo get_template_directory_uri(); ?>/assets/favicons/safari-pinned-tab.svg" color="<?php echo MASK_ICON_COLOR;?>">
<meta name="theme-color" content="<?php echo MASK_ICON_COLOR;?>">
<?php } ?>
<?php echo canonical($canonical);?>	
<?php if(!empty(TWITTER) && TWITTER == true){?>
<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:site" content="<?php echo TWITTER_SITE;?>">
<meta name="twitter:creator" content="<?php echo TWITTER_SITE;?>">
<meta name="twitter:title" content="<?php echo $page_title;?>">
<meta name="twitter:description" content="<?php echo $description;?>">
<meta name="twitter:image" content="<?php echo $dmain.TWITTER_IMAGE_PATH;?>">
<?php } ?>
<?php if(!empty(FACEBOOK) && FACEBOOK == true){?>
<?php if(!empty(FACEBOOK_ADMINS)){?><meta property="fb:admins" content="<?php echo FACEBOOK_ADMINS;?>" /><?php };?>
<?php if(!empty(FACEBOOK_APP_ID)){?><meta property="fb:app_id" content="<?php echo FACEBOOK_APP_ID;?>" /><?php };?>
<meta property="og:locale" content="<?php echo FACEBOOK_LANG;?>">
<meta property="og:url" content="<?php echo $url;?>">
<meta property="og:title" content="<?php echo $page_title;?>">
<meta property="og:description" content="<?php echo $description;?>">
<meta property="og:type" content="<?php echo FACEBOOK_OG_TYPE;?>">
<meta property="og:image" content="<?php echo $dmain.TWITTER_IMAGE_PATH;?>">
<meta property="og:image:type" content="image/png">
<meta property="og:image:width" content="<?php echo FACEBOOK_OG_IMAGE_WIDTH;?>">
<meta property="og:image:height" content="<?php echo FACEBOOK_OG_TYPE_HIGHT;?>">
<?php } ?>    
<link href="https://fonts.googleapis.com/css?family=Noto+Sans+JP:400,500&amp;subset=japanese" rel="stylesheet"> 
<link href="https://fonts.googleapis.com/css?family=Roboto:500,400" rel="stylesheet"> 
<link href="<?php echo get_template_directory_uri(); ?>/assets/fonts/fontawesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
<link href="<?php echo get_template_directory_uri(); ?>/assets/lib/bootstrap/css/bootstrap-reboot.min.css" rel="stylesheet" type="text/css">
<link href="<?php echo get_template_directory_uri(); ?>/assets/lib/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css">
<link href="<?php echo get_template_directory_uri(); ?>/assets/css/root.css?<?php echo web_ver();?>" rel="stylesheet" type="text/css">
<link href="<?php echo get_template_directory_uri(); ?>/assets/css/common.css?<?php echo web_ver();?>" rel="stylesheet" type="text/css">
<link href="<?php echo get_template_directory_uri(); ?>/assets/css/calender.css?<?php echo web_ver();?>" rel="stylesheet" type="text/css">
<link rel="stylesheet" href="<?php bloginfo ('stylesheet_url'); ?>" type="text/css" />
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/assets/js/drawer/css/drawer.min.css" media="screen and (max-width: 998px)">
<link href="<?php echo get_template_directory_uri(); ?>/assets/js/fancybox/jquery.fancybox.min.css" rel="stylesheet" type="text/css">
<!--[if lt IE 9]>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/ie/html5shiv.min.js"></script>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/ie/respond.min.js"></script>
<![endif]-->
<?php if(!empty($noindex) && $noindex == true){echo '<meta name="robots" content="noindex" />';}?>
<script>
</script>

</head>
<body class="drawer drawer--top">
<header id="header">
    <div id="page_header">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h1>名古屋市伏見の格安貸し会議室、セミナールームなら<span>備品貸出無料、1時間1000円からの「プレストーク会議室」</span></h1>
                </div>
            </div>
        </div>
    </div>
    <div id="header_body">
        <div class="logo">
            <ul>
                <li>
                    <a href="/"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/logo1.png" width="200" height="44" alt="" class="img-fluid"/></a>
                </li>
                <li>
                     <a href="/"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/logo2.png" width="160" height="27" alt="" class="img-fluid"/></a>
                </li>
            </ul>
        </div><button type="button" class="drawer-toggle drawer-hamburger"><span class="sr-only">toggle navigation</span><span class="drawer-hamburger-icon"></span></button>
        <ul id="sm_header_icon_link">
            <li><a href="/calender/" class="calender_link"><i class="fa fa-calendar"></i><span>空室確認</span></a>
            </li>
            <li><a href="/contact/" class="contact_link"><i class="fa fa-envelope-o"></i><span>お問い合わせ</span></a>
            </li>
        </ul>
        <div id="gnav">
<?php wp_nav_menu( array('menu' => 'main_navi' ) ); ?>
        </div>
        <div class="drawer-nav" role="navigation">
            <div class="drawer-menu">
                <div class="drawer_header"><a href="/"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/logo_all.png" width="382" height="48" alt=""/></a>
                </div>
                <div class="drawer_body">
<?php wp_nav_menu( array('menu' => 'main_navi' ) ); ?>
                </div>
                <div class="drawer_footer">
                    <nav>
                        <ul>
                            <li><a href="/calender/" class="calender_link"><i class="fa fa-calendar"></i> ご予約確認</a>
                            </li>
                            <li><a href="/contact/" class="contact_link"><i class="fa fa-envelope-o"></i> お問い合わせ</a>
                            </li>
                        </ul>
                    </nav>
                </div>
                <div class="drawer_cloce"><a href="" class="close"><i class="fa fa-times"></i> Close</a>
                </div>
            </div>
        </div>
    </div>
</header>
	
<main role="main" id="contact" class="page">
		<div class="container">
			<div class="row">
				<div class="col-12">
					<div class="title_block">
						<h2><span>お問い合わせ</span></h2>
					</div>
				</div>
			</div>
		</div>
		<div id="contact_fv" class="mb-10">
			<div class="container">
				<div class="row">
					<div class="col-lg-6 hidden-lg-up mb-5">
						<img src="/presstalk_conference/wp-content/themes/press/assets/images/contact/contact_fv.jpg" width="540" height="288" alt="" class="img-fluid w-100">
					</div>
					<div class="col-lg-6">
						<h2>プレストーク会議室へのお問い合わせ<br>誠にありがとうございます。</h2>
						<p>弊社への「お見積り依頼」「お問い合わせ」をご希望の際は、下記「メールフォーム<br> 」 項目を入力の上、「確認画面へ」ボタンを押し、送信してください。 <br> お問い合わせいただきましたら、当社よりご連絡させていただきます。 <br> ※土日・祝祭日はご返答が出来ませんので予めご了承ください。 <br> ※営業時間外のお問い合わせにつきましては翌営業日の対応となります。
						</p>
						<div class="call">
							<p>お電話でのお問い合わせはこちらから</p>
							<p class="dial"><i class="fa fa-phone"></i> 052-232-2358</p>
						</div>
					</div>
					<div class="col-lg-6 hidden-md-down">
						<img src="/presstalk_conference/wp-content/themes/press/assets/images/contact/contact_fv.jpg" width="540" height="288" alt="" class="img-fluid">
					</div>
				</div>
			</div>
		</div>
		<div class="container mb-5">
			<div class="row">
				<div class="col-12">
					<div class="title_block">
						<h2><span>お問い合わせフォーム</span></h2>
						<p>下記フォームに必要事項をご記入の上ご送信ください。</p>
					</div>
				</div>
				<div class="col-lg-8 offset-lg-2">
					<div id="form_flow">
						<ol>
							<li class="step1 active"><span>入力</span>
							</li>
							<li class="step2"><span>確認</span>
							</li>
							<li class="step3"><span>送信完了</span>
							</li>
						</ol>
					</div>
				</div>
			</div>
		</div>
		<div id="ssl">
			<div class="container mb-5">
				<div class="row">
					<div class="col-12">
						<p><span><i class="fa fa-lock"></i> お送り頂く情報はSSL(セキュア・ソケット・レイヤー）暗号化技術により保護されております。</span>
						</p>
					</div>
				</div>
			</div>
		</div>

        <div class="container">			
			<form action="../contact_confirm/" method="post" id="form" data-toggle="validator" role="form">
				<input type="hidden" value="0" name="mailSend">	
				<div class="row mb-5">
					<div class="col-lg-10 offset-lg-1 formarea">
						<div class="form-group has-error">
							<dl>
								<dt>
									<label for="comment">お問い合わせ内容<span class="required">必須</span></label>
								</dt>
								<dd>

									<textarea name="お問い合わせ内容" id="comment" data-error="お問い合わせ内容は入力必須項目です" required></textarea>

								</dd>
							</dl>
							<div class="help-box">
								<div class="help-block with-errors"></div>
							</div>
						</div>
						<div class="form-group has-error">
							<dl>
								<dt>
									<label for="company_name">会社名<span class="required">必須</span></label>
								</dt>


								<dd>
									<input type="text" name="会社名" id="company_name" data-error="会社名は入力必須項目です" required/>
								</dd>
							</dl>
							<div class="help-box">
								<div class="help-block with-errors">(例：株式会社プレストーク)</div>
							</div>
						</div>

						<div class="form-group">
							<dl>
								<dt>
									<label for="company_kana">会社名フリガナ</label>
								</dt>


								<dd>
									<input type="text" name="会社名フリガナ" id="company_kana"/>
								</dd>
							</dl>
							<div class="help-box">
								<div class="help-block with-errors">(例：カブシキガイシャプレストーク)</div>
							</div>
						</div>

						<div class="form-group">
							<dl>
								<dt>
									<label for="department">部署名</label>
								</dt>


								<dd>
									<input type="text" name="部署名" id="department"/>
								</dd>
							</dl>
							<div class="help-box">
								<div class="help-block with-errors">(例：総務部)</div>
							</div>
						</div>

						<div class="form-group has-error">
							<dl>
								<dt>
									<label for="username">お名前<span class="required">必須</span></label>
								</dt>


								<dd>
									<input type="text" name="お名前" id="username" data-error="お名前は入力必須項目です" required/>
								</dd>
							</dl>
							<div class="help-box">
								<div class="help-block with-errors">(例：鈴木　太郎)</div>
							</div>
						</div>
						<div class="form-group">
							<dl>
								<dt>
									<label for="userkana">フリガナ</label>
								</dt>


								<dd>
									<input type="text" name="フリガナ" id="userkana"/>
								</dd>
							</dl>
							<div class="help-box">
								<div class="help-block with-errors">(例：スズキ　タロウ)</div>
							</div>
						</div>

						<div class="form-group has-error">
							<dl>
								<dt>
									<label for="zipcord">郵便番号<span class="required">必須</span></label>
								</dt>


								<dd>
									<input type="tel" name="郵便番号" id="zipcord" data-error="郵便番号は入力必須項目です" required onKeyUp="AjaxZip3.zip2addr(this,'','住所','住所');"/>
								</dd>
							</dl>
							<div class="help-box">
								<div class="help-block with-errors">(例：4600008)</div>
							</div>
						</div>
						<div class="form-group has-error">
							<dl>
								<dt>
									<label for="address">住所<span class="required">必須</span></label>
								</dt>


								<dd>
									<input type="text" name="住所" id="address" data-error="住所は入力必須項目です" required/>
								</dd>
							</dl>
							<div class="help-box">
								<div class="help-block with-errors">(例：愛知県名古屋市中区栄2丁目2-17 )</div>
							</div>
						</div>

						<div class="form-group">
							<dl>
								<dt>
									<label for="building">建物名</label>
								</dt>


								<dd>
									<input type="text" name="建物名" id="building"/>
								</dd>
							</dl>
							<div class="help-box">
								<div class="help-block with-errors">(例：名古屋情報センタービル1F)</div>
							</div>
						</div>

						<div class="form-group has-error">
							<dl>
								<dt>
									<label for="tel">電話番号<span class="required">必須</span></label>
								</dt>


								<dd>
									<input type="tel" name="電話番号" id="tel" data-error="電話番号は入力必須項目です" required/>
								</dd>
							</dl>
							<div class="help-box">
								<div class="help-block with-errors">(例：0522322358) ハイフン「-」無し</div>
							</div>
						</div>
						<div class="form-group">
							<dl>
								<dt>
									<label for="fax">FAX番号</label>
								</dt>


								<dd>
									<input type="tel" name="FAX番号" id="fax"/>
								</dd>
							</dl>
							<div class="help-box">
								<div class="help-block with-errors">(例：0522322357) ハイフン「-」無し</div>
							</div>
						</div>

						<div class="form-group has-error">
							<dl>
								<dt>
									<label for="email">メールアドレス<span class="required">必須</span></label>
								</dt>


								<dd>
									<input type="email" name="メールアドレス" id="email" data-error="メールアドレスは入力必須項目です" required/>
								</dd>
							</dl>
							<div class="help-box">
								<div class="help-block with-errors">(例：example@presstalk-conference.com)</div>
							</div>
						</div>
					</div>
				</div>

				<div class="row mb-5">
					<div class="col-lg-10 offset-lg-1">
						<div id="policy">
							<h2>■株式会社プレス・トークにおける個人情報保護方針について</h2>
							</br>
							<ul class="mb-4">
								<li>株式会社プレス・トークは、高度情報通信社会における個人情報保護の重要性を認識し、以下の方針に基づき個人情報の保護に努めます。</li>
							</ul>
						
							<h3>1．個人情報の取得について</h3>
							<ul class="mb-4">
								<li>・適法かつ公正な手段によって、個人情報を取得いたします。</li>
							</ul>

							<h3>2．個人情報の利用について</h3>
							<ul class="mb-4">
								<li>・個人情報を、取得の際に示した利用目的の範囲内で、業務の遂行上必要な限りにおいて、利用します。</li>
								<li>・個人情報を第三者との間で共同利用し、または、個人情報の取り扱いを第三者に委託する場合には、当該第三者につき厳正な調査を行ったうえ、秘密を保持させるために、適正な監督をおこないます。</li>
							</ul>

							<h3>3．個人情報の第三者提供について</h3>
							<ul class="mb-4">
								<li>・法令に定める場合を除き、個人情報を、事前に本人の同意を得ることなく、第三者に提供しません。</li>
							</ul>
							<h3>4．個人情報の管理について</h3>
							<ul class="mb-4">
								<li>・個人情報の正確性を保ち、これを安全に管理致します。</li>
								<li>・個人情報の紛失、破壊、改ざん及び漏えいなどを防止するため、不正アクセス、コンピューターウィルス等に対する適正な情報セキュリティ対策を講じます。</li>
								<li>・個人情報を持ち出し、外部に送信する等により漏えいさせません。</li>
							</ul>
							<h3>5．個人情報の開示・訂正・利用停止・消去について</h3>
							<ul class="mb-4">
								<li>・本人が自己の個人情報について、開示・訂正・利用停止・消去等を求める権利を有していることを確認し、これらの要求ある場合には、異議なく速やかに対応いたします。</li>
							</ul>
							<h3>6．体制</h3>
							<ul class="mb-4">
								<li>・個人情報保護管理者を任命し、個人情報の適正な管理を実施致します。</li>
							</ul>
							<h3>7．個人情報保護コンプライアンス・プログラムの策定・実施・維持・改善</h3>
							<ul class="mb-4">
								<li>・この方針を実行するため、本方針、「個人情報規程」及びその他の規程、規則を策定し、これを従業者その他関係者に周知徹底させて実施し、維持し、継続的に改善いたします。</li>
							</ul>
							</br>
							<ul class="mb-4">
								<li>平成17年3月30日制定</li>
								<li>平成24年7月17日改定</li>
								<li>株式会社プレス・トーク</li>
								<li>個人情報管理責任者：安藤 利幸</li>
								<li>個人情報作業責任者：石原　 力</li>
							</ul>					
						</div>
						<div id="policy_check">
							<p>上記を必ずお読みいただき、同意いただける場合は各項目をご記入の上、<br>「入力内容を確認する」ボタンを押してください。</p>

							<div class="form-group agree_block">
								<input type="checkbox" name="" id="agree" data-error="ご注意事項に同意頂けない場合、メールの送信はできません" required="">
								<label for="agree">ご注意事項に同意する</label>
								<div class="help-block with-errors"></div>
							</div>

						</div>
					</div>
				</div>
				<div class="row mb-10">
					<div class="col-12" id="form_btn_group">
						<div class="form-group">
							 <ul>
								<li><button type="submit" id="submit">送信内容確認</button>
								</li>
								<li><button type="button" id="" onclick='history.back()'>戻る</button>
								</li>
							</ul>
						</div>
					</div>
				</div>
			</form>
        </div>
</main>
		
		
		
	

    <?php get_sidebar(); ?>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/jquery/3.3.1/jquery.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/popper/popper.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/bootstrap/js/bootstrap.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/css-vars-ponyfill/css-vars-ponyfill.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/lib/css-vars-ponyfill/function.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/iscroll/iscroll.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/drawer/js/drawer.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/drawer/js/drawer.function.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/function.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/fancybox/jquery.fancybox.min.js"></script>
<script>
	$('[data-fancybox]').fancybox();
</script>
    <script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/matchHeight/jquery.matchHeight.js"></script>
    <script type="text/javascript">
        $( function () {
            $( '.card1' ).matchHeight();
            $( '.card2' ).matchHeight();
            $( '.card3' ).matchHeight();
        } );
    </script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/form/jquery.autoKana/jquery.autoKana.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/form/jquery.autoKana/jquery.autoKana.function.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/form/ajaxzip3/ajaxzip3.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/assets/js/form/validator/validator.min.js"></script>
<footer id="footer">
    <div class="container">
        <div class="row">
            <div class="col-lg-4 col-md-3">
                <a href="/">
                    <img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/logo/logo_white.png" width="303" height="73" alt="株式会社プレストーク　プレストーク会議室" class="img-fluid logo"/>
                </a>            
            </div>
            <div class="col-lg-8 col-md-9">
                <div class="inner">
<?php wp_nav_menu( array('menu' => 'main_navi' ) ); ?>
                </div>
            </div>
        </div>
    </div>
</footer>
<div id="copylight">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <small>Copyright(c) <?php echo date('Y');?> PRESS-TALK All Rights Reserved.</small>
            </div>
        </div>
    </div>
</div>
<aside id="sidebar">
    <nav>
        <ul>
            <li class="yoyaku_btn"><a href="/calender/"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/sidebar/calender_btn.png" width="65" height="304" alt="会議室の予約" class="img-fluid"/></a></li>
            <?php /*?><li><a href="#"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/sidebar/totop_btn.png" width="65" height="65" alt="" class="img-fluid"/></a></li><?php */?>
        </ul>
    </nav>
</aside>

<a href="#" id="return-top"><img src="<?php echo get_template_directory_uri(); ?>/assets/images/common/sidebar/totop_btn.png" width="65" height="65" alt="" class="img-fluid"/></a>
</body>
</html>